@charset "UTF-8";

@import url("normalize.css") screen;
@import url("fonts.css") screen;

@import url("layout.css") screen;

@import url("input.css") screen;
@import url("process.css") screen;

[data-component]{
    box-sizing: border-box;

}
[data-component="Page"]{
    overflow-x: hidden;
    width: 100%;
}

[data-component="Decoration"]{
    display: block;
}


[data-component="StackLayout"]{
    display: grid;
}

[data-component="FlexLayout"]{
    display: flex;
}



[data-component="Button"]{
    display: flex;
    padding: 0;
    border: none;
    outline: none;
    background-color: transparent;
    user-select: none;
    cursor: pointer;
    transition: var(--control-transition);
}
[data-component="Button"][disabled]{
    pointer-events: none;
    cursor: none;
}

[data-component="Image"]{
    display: block;
    user-select: none;
    pointer-events: none;
}

[data-component="VectorGraphic"][aria-hidden="true"]{
    display: none;
}

[data-component="Text"]{
    display: block;
}

[data-component="DateTime"]{
    display: block;
    width: 100%;
}


[data-component="TextBlock"]{
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}

[data-component="TextBlock"] > [data-component="Text"],
[data-component="TextBlock"] > [data-component="DateTime"]{
    display: inline;
    margin: 0 .35em 0 0;
    padding: 0;
    width: auto;
}

[data-component="Password"]{
    display: flex;
    width: 100%;
    align-items: center;
    align-content: center;
    position: relative;
}

[data-component="Password"] [type="button"]{
    position: absolute;
    top:0;
    bottom:0;
    right: 0;
    display: flex;
    width: 32px;
    height: 32px;
    padding: 0;
    margin: auto;
    border: none;
    outline: none;
    background-color: transparent;
    user-select: none;
    cursor: pointer;
}

[data-component="Password"] [type="button"] [role="img"]{
    display: block;
    width: 32px;
    height: 32px;
    stroke: #012;
}

[data-component="Password"][data-state="text"] [type="button"] [role="img"]{
    stroke: #08F;
}

[data-component="Dialog"]{
    position: fixed;
    z-index: 150;
    visibility: hidden;
    border: none;
    padding: 0;
    margin: auto;
    bottom: 0;
    top: 0;
    right: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    display: flex;
}

[data-component="Dialog"][open]{
    visibility: visible;
}

[data-component="Grid"]{
    display: grid;
}
[data-component="Table"]{
    display: table;
    border-collapse: collapse;
    table-layout: auto;
}

[data-component="TableHead"]{
    display: table-header-group;
}

[data-component="TableBody"]{
    display: table-row-group;
    transition: var(--control-transition);
}

[data-component="TableFoot"]{
    display: table-footer-group;
}

[data-component="TableRow"]{
    display: table-row;
}

[data-component="TableCell"]{
    display: table-cell;
}


[data-component="SideBar"]{
    display: flex;
    flex-wrap: wrap;
    align-items: stretch;
    width: 100%;
    max-width: 256px;
}


[data-component="Modal"]{
    position: fixed;
    bottom: 0;
    top: 0;
    right: 0;
    left: 0;

    z-index: 100;
    visibility: hidden;
    border: none;
    padding: 0;
    margin: auto;

    width: 100%;
    height: 100vh;
    overflow-x: hidden;
    overflow-y: auto;
    display: flex;
    background-color: rgba(0,0,0,.75);
    backdrop-filter:saturate(128%) blur(8px);

}

[data-component="Modal"][open]{
    visibility: visible;
}







[data-component="ScrollView"]{
    width: 100%;
    min-width: 100%;
}

[data-component="ScrollView"][data-orientation="vertical"]{
    overflow-x: hidden;
    overflow-y: auto;
}

[data-component="ScrollView"][data-orientation="horizontal"]{
    overflow-x: auto;
    overflow-y: hidden;
}


[data-status-code] output{
    color: inherit;
}
